local addOnName, TR = ...

-- use Enriched Soil icon for Rich Soil
TR.selfGrownHerbFilter = {
    [384291] = true,
    [384293] = true,
    [384294] = true,
    [384295] = true,
}

TR.iconTextureOverride = {
    [2776] = 3577, -- gold ore => gold bar texture
}

TR.objectNameOverride = {
    [181557] = 23426, -- Khorium
    [191133] = 36910, -- Titanium
    [190173] = 0, -- Frozen Herb = no real item
    [190176] = 0, -- Frost Lotus
}

TR.herbFilter = {
    [1617] = 765, -- Silverleaf (Silverleaf)
    [1618] = 2447, -- Peacebloom (Peacebloom)
    [1619] = 2449, -- Earthroot (Earthroot)
    [1620] = 785, -- Mageroyal (Mageroyal)
    [1621] = 2450, -- Briarthorn (Briarthorn)
    [1622] = 2453, -- Bruiseweed (Bruiseweed)
    [1623] = 3355, -- Wild Steelbloom (Wild Steelbloom)
    [1624] = 3356, -- Kingsblood (Kingsblood)
    [1628] = 3369, -- Grave Moss (Grave Moss)
    -- [1723] = ?, -- Mudsnout Blossom
    [2041] = 3357, -- Liferoot (Liferoot)
    [2042] = 3818, -- Fadeleaf (Fadeleaf)
    [2043] = 3358, -- Khadgar's Whisker (Khadgar's Whisker)
    [2044] = 3819, -- Dragon's Teeth (Dragon's Teeth)
    [2045] = 3820, -- Stranglekelp (Stranglekelp)
    [2046] = 3821, -- Goldthorn (Goldthorn)
    -- [2084] = ?, -- Musquash Root
    [2866] = 4625, -- Firebloom (Firebloom)
    -- [11713] = ?, -- Death Cap
    -- [11714] = ?, -- Scaber Stalk
    -- [13874] = ?, -- Serpentbloom
    -- [13891] = ?, -- Serpentbloom
    -- [17282] = ?, -- Bathran's Hair
    -- [35254] = ?, -- Herb Node Point Check
    -- [102985] = ?, -- Balnir Snapdragons
    -- [126049] = ?, -- Magenta Cap Clusters
    -- [141853] = ?, -- Violet Tragan
    [142140] = 8831, -- Purple Lotus (Purple Lotus)
    [142141] = 8836, -- Arthas' Tears (Arthas' Tears)
    [142142] = 8838, -- Sungrass (Sungrass)
    [142143] = 8839, -- Blindweed (Blindweed)
    [142144] = 8845, -- Ghost Mushroom (Ghost Mushroom)
    [142145] = 8846, -- Gromsblood (Gromsblood)
    -- [152094] = ?, -- Hyacinth Mushroom
    -- [152095] = ?, -- Moonpetal Lily
    -- [171938] = ?, -- Cactus Apple
    -- [175207] = ?, -- Beached Sea Creature
    -- [175566] = ?, -- Gloom Weed
    -- [175928] = ?, -- Incendia Agave
    -- [176189] = ?, -- Skeletal Sea Turtle
    [176583] = 13464, -- Golden Sansam (Golden Sansam)
    [176584] = 13463, -- Dreamfoil (Dreamfoil)
    [176586] = 13465, -- Mountain Silversage (Mountain Silversage)
    [176587] = 13466, -- Sorrowmoss (Sorrowmoss)
    [176588] = 13467, -- Icecap (Icecap)
    [176589] = 13468, -- Black Lotus (Black Lotus)
    -- [176753] = ?, -- Doom Weed
    -- [177750] = ?, -- Lunar Fungal Bloom
    [181166] = 22710, -- Bloodthistle (Bloodthistle)
    [181270] = 22785, -- Felweed (Felweed)
    [181271] = 22786, -- Dreaming Glory (Dreaming Glory)
    [181275] = 22787, -- Ragveil (Ragveil)
    [181276] = 22788, -- Flame Cap (Flame Cap)
    [181277] = 22789, -- Terocone (Terocone)
    [181278] = 22790, -- Ancient Lichen (Ancient Lichen)
    [181279] = 22791, -- Netherbloom (Netherbloom)
    [181280] = 22792, -- Nightmare Vine (Nightmare Vine)
    [181281] = 22793, -- Mana Thistle (Mana Thistle)
    -- [181372] = ?, -- Hellfire Spineleaf
    -- [181644] = ?, -- Azure Snapdragon
    -- [181680] = ?, -- Drycap Mushroom
    -- [181891] = ?, -- Blood Mushroom
    -- [181892] = ?, -- Aquatic Stinkhorn
    -- [181893] = ?, -- Ruinous Polyspore
    -- [181894] = ?, -- Fel Cone Fungus
    -- [181897] = ?, -- Ysera's Tear
    -- [182095] = ?, -- Burstcap Mushroom
    -- [182127] = ?, -- Corrupted Flower
    -- [182599] = ?, -- Telaari Frond
    -- [182600] = ?, -- Marshberry
    -- [182601] = ?, -- Olemba Root
    -- [182606] = ?, -- Dragonspine
    -- [183385] = ?, -- Sanguine Hibiscus
    -- [184443] = ?, -- Ivory Bell
    -- [184691] = ?, -- Shadowmoon Tuber
    -- [185497] = ?, -- Bogblossom
    [185881] = 32468, -- Netherdust Bush (Netherdust Pollen)
    -- [186423] = ?, -- Witchbane
    -- [186463] = ?, -- Wyrmtail
    -- [186662] = ?, -- Reagent Pouch
    -- [186729] = ?, -- Mana Berry Bush
    -- [187333] = ?, -- Bloodberry Bush
    -- [187902] = ?, -- Bloodspore Carpel
    -- [188113] = ?, -- Frostberry Bush
    -- [188345] = ?, -- Shimmering Snowcaps
    -- [188489] = ?, -- Ruby Lilac
    [189973] = 36901, -- Goldclover (Goldclover)
    -- [189974] = ?, -- Constrictor Grass
    -- [190168] = ?, -- Evergreen Moss
    [190169] = 36904, -- Tiger Lily (Tiger Lily)
    [190170] = 36907, -- Talandra's Rose (Talandra's Rose)
    [190171] = 36905, -- Lichbloom (Lichbloom)
    [190172] = 36906, -- Icethorn (Icethorn)
    [190173] = 36901, -- Frozen Herb (Goldclover)
    [190174] = 36901, -- Frozen Herb (Goldclover)
    [190175] = 36901, -- Frozen Herb (Goldclover)
    [190176] = 36908, -- Frost Lotus (Frost Lotus)
    -- [190399] = ?, -- Muddlecap Fungus
    [191019] = 36903, -- Adder's Tongue (Adder's Tongue)
    [191303] = 39970, -- Firethorn (Fire Leaf)
    -- [192556] = ?, -- Cave Mushroom
    -- [192818] = ?, -- Infused Mushroom
    -- [192827] = ?, -- Wild Mustard
    -- [192828] = ?, -- Crystalsong Carrot
    -- [194100] = ?, -- Bear's Paw
    -- [194213] = ?, -- Winter Hyacinth
    -- [195674] = ?, -- Aloe Thistle
    -- [201562] = ?, -- Seaweed Frond
    -- [201737] = ?, -- Budding Flower
    -- [201738] = ?, -- Budding Flower
    -- [201914] = ?, -- Moonleaf
    -- [201975] = ?, -- Tarblossom
    -- [202421] = ?, -- Xavren's Thorn
    -- [202422] = ?, -- Marrowpetal Stalk
    -- [202619] = ?, -- Flame Blossom
    -- [202702] = ?, -- Stonebloom
    -- [202703] = ?, -- Bitterblossom
    [202747] = 52983, -- Cinderbloom (Cinderbloom)
    [202748] = 52984, -- Stormvine (Stormvine)
    [202749] = 52985, -- Azshara's Veil (Azshara's Veil)
    [202750] = 52986, -- Heartblossom (Heartblossom)
    [202751] = 52987, -- Twilight Jasmine (Twilight Jasmine)
    [202752] = 52988, -- Whiptail (Whiptail)
    -- [202754] = ?, -- Juniper Berries
    -- [203762] = ?, -- Juicy Apple
    -- [203800] = ?, -- Barrel of Canal Fish
    -- [203969] = ?, -- Prickly Pear Fruit
    -- [203982] = ?, -- Okra
    -- [204281] = ?, -- Worm Mound
    -- [205060] = ?, -- Plague Tangle
    -- [205089] = ?, -- Stabthistle Seed
    -- [205099] = ?, -- Ferocious Doomweed
    -- [205367] = ?, -- Wolfsbane
    -- [205423] = ?, -- Banshee's Bells
    -- [205538] = ?, -- Thorny Stankroot
    -- [205559] = ?, -- Rotberry Bush
    [206085] = 2450, -- Frozen Herb (Briarthorn)
    -- [206387] = ?, -- Water Bucket
    -- [206503] = ?, -- Prayerbloom
    -- [206597] = ?, -- Twilight's Hammer Crate
    -- [206706] = ?, -- Crying Violet
    -- [206764] = ?, -- Emerald Shimmercap
    -- [207346] = ?, -- Moonpetal Lily
    -- [208442] = ?, -- Blueroot Vine
    -- [208540] = ?, -- Magmolia
    -- [208544] = ?, -- Magmolia
    -- [208551] = ?, -- Lucifern
    -- [208816] = ?, -- Sewer Cap
    -- [208828] = ?, -- Corpse Worm Mound
    -- [208833] = ?, -- Stillwater Lily
    -- [208875] = ?, -- Mulgore Pine Cone
    -- [208878] = ?, -- "Magic" Mushroom
    -- [208997] = ?, -- Eternal Sunfruit
    -- [208999] = ?, -- Eternal Lunar Pear
    -- [209059] = ?, -- Blood Nettle
    -- [209284] = ?, -- Darkblossom
    [209349] = 72234, -- Green Tea Leaf (Green Tea Leaf)
    [209350] = 72235, -- Silkweed (Silkweed)
    [209351] = 79010, -- Snow Lily (Snow Lily)
    [209353] = 72237, -- Rain Poppy (Rain Poppy)
    [209354] = 72238, -- Golden Lotus (Golden Lotus)
    [209355] = 79011, -- Fool's Cap (Fool's Cap)
    -- [209358] = ?, -- Gingerleaf
    -- [209460] = ?, -- Rattan Switch
    -- [209461] = ?, -- Rattan Switch
    -- [209462] = ?, -- Rattan Switch
    -- [209463] = ?, -- Rattan Switch
    -- [209825] = ?, -- Tidemist Cap
    -- [209836] = ?, -- Freshly Fallen Petals
    -- [209907] = ?, -- Meadow Marigold
    -- [209952] = ?, -- Jademoon
    -- [209974] = ?, -- Barrel of Slickies
    -- [209987] = ?, -- Dreamleaf Bush
    -- [210080] = ?, -- Mulberry Barrel
    -- [210209] = ?, -- Imperial Lotus
    -- [210537] = ?, -- Eternal Blossom
    -- [210538] = ?, -- Eternal Blossom
    -- [210539] = ?, -- Eternal Blossom
    -- [210897] = ?, -- Auburn Spine Bush
    -- [211025] = ?, -- Goldenfire Orchid
    -- [211160] = ?, -- Pristine Crane Egg
    -- [211360] = ?, -- School of Dead Fish
    -- [211454] = ?, -- Kafa'kota Bush
    -- [211474] = ?, -- Suncrawler
    -- [211517] = ?, -- Snarlvine
    -- [211518] = ?, -- Snarlvine
    -- [211684] = ?, -- Volatile Blooms
    -- [211719] = ?, -- Violet Citron
    -- [211721] = ?, -- Violet Citron
    -- [211779] = ?, -- Mao-Willow
    -- [212902] = ?, -- Solidified Amber
    [214510] = 89639, -- Sha-Touched Herb (Desecrated Herb)
    -- [215409] = ?, -- Golden Lotus
    -- [216227] = ?, -- Brittle Root
    -- [216620] = ?, -- Jungle Hops
    [221542] = 72234, -- Green Tea Leaf (Green Tea Leaf)
    [221543] = 72237, -- Rain Poppy (Rain Poppy)
    [221544] = 72235, -- Silkweed (Silkweed)
    [221545] = 72238, -- Golden Lotus (Golden Lotus)
    -- [221546] = ?, -- Snow Lily
    [221547] = 79011, -- Fool's Cap (Fool's Cap)
    -- [225596] = ?, -- Prickly Nopal
    -- [226888] = ?, -- Aruunem Berry Bush
    [228571] = 109124, -- Frostweed (Frostweed)
    [228572] = 109125, -- Fireweed (Fireweed)
    [228573] = 109126, -- Gorgrond Flytrap (Gorgrond Flytrap)
    [228574] = 109127, -- Starflower (Starflower)
    [228575] = 116053, -- Nagrand Arrowbloom (Draenic Seeds)
    [228576] = 109129, -- Talador Orchid (Talador Orchid)
    -- [228991] = ?, -- Frostblossom
    [233117] = 109124, -- Frostweed (Frostweed)
    [235376] = 109124, -- Frostweed (Frostweed)
    [235387] = 109125, -- Fireweed (Fireweed)
    [235388] = 109126, -- Gorgrond Flytrap (Gorgrond Flytrap)
    [235389] = 109127, -- Starflower (Starflower)
    [235390] = 109128, -- Nagrand Arrowbloom (Nagrand Arrowbloom)
    [235391] = 109129, -- Talador Orchid (Talador Orchid)
    [237396] = 116053, -- Fireweed (Draenic Seeds)
    [237398] = 116053, -- Frostweed (Draenic Seeds)
    [237400] = 116053, -- Talador Orchid (Draenic Seeds)
    [237402] = 116053, -- Gorgrond Flytrap (Draenic Seeds)
    [237404] = 116053, -- Starflower (Draenic Seeds)
    [237406] = 116053, -- Nagrand Arrowbloom (Draenic Seeds)
    -- [240346] = ?, -- Olive Sprig
    [241641] = 124103, -- Foxflower (Foxflower)
    [243334] = 116053, -- Withered Herb (Draenic Seeds)
    -- [243562] = ?, -- Crate of Khadgar's Whiskers
    -- [243564] = ?, -- Basket of Dried Herbs
    [244774] = 124101, -- Aethril (Aethril)
    [244775] = 124102, -- Dreamleaf (Dreamleaf)
    [244776] = 124102, -- Dreamleaf (Dreamleaf)
    [244777] = 124104, -- Fjarnskaggl (Fjarnskaggl)
    [244778] = 124105, -- Starlight Rose (Starlight Rose)
    [244786] = 124106, -- Felwort (Felwort)
    [247388] = 140986, -- Flourishing Foxflower (Flourishing Foxflower)
    [247605] = 140947, -- Flourishing Aethril (Flourishing Aethril)
    [247606] = 140952, -- Flourishing Dreamleaf (Flourishing Dreamleaf)
    [247607] = 140958, -- Flourishing Fjarnskaggl (Flourishing Fjarnskaggl)
    [247608] = 140989, -- Flourishing Starlight Rose (Flourishing Starlight Rose Petals)
    [247865] = 135480, -- Aqueous Aethril (Aqueous Aethril)
    [247897] = 135500, -- Singed Fjarnskaggl (Singed Fjarnskaggl)
    [247999] = 124106, -- Felwort (Felwort)
    [248000] = 124106, -- Felwort (Felwort)
    [248001] = 124106, -- Felwort (Felwort)
    [248002] = 124106, -- Felwort (Felwort)
    [248003] = 124106, -- Felwort (Felwort)
    [248004] = 124106, -- Felwort (Felwort)
    [248005] = 124106, -- Felwort (Felwort)
    [248006] = 124106, -- Felwort (Felwort)
    [248007] = 124106, -- Felwort (Felwort)
    [248008] = 124106, -- Felwort (Felwort)
    [248009] = 124106, -- Felwort (Felwort)
    [248010] = 124106, -- Felwort (Felwort)
    [248011] = 124106, -- Felwort (Felwort)
    [248012] = 124106, -- Felwort (Felwort)
    [248017] = 140987, -- Wispy Foxflower (Wispy Foxflower)
    [248018] = 140988, -- Bushy Foxflower (Bushy Foxflower)
    [248019] = 140948, -- Lively Aethril (Lively Aethril)
    [248020] = 140950, -- Iridescent Aethril (Iridescent Aethril)
    [248022] = 140951, -- Bushy Aethril (Bushy Aethril)
    [248023] = 140954, -- Lively Dreamleaf (Lively Dreamleaf)
    [248024] = 140955, -- Iridescent Dreamleaf (Iridescent Dreamleaf)
    [248025] = 140956, -- Bushy Dreamleaf (Bushy Dreamleaf)
    [248026] = 140957, -- Fragrant Dreamleaf (Fragrant Dreamleaf)
    [248027] = 140959, -- Brambly Fjarnskaggl (Brambly Fjarnskaggl)
    [248028] = 140960, -- Prickly Fjarnskaggl (Prickly Fjarnskaggl)
    [248029] = 140961, -- Pungent Fjarnskaggl (Pungent Fjarnskaggl)
    [248030] = 140990, -- Lively Starlight Rose (Lively Starlight Rose Petals)
    [248031] = 140991, -- Iridescent Starlight Rose (Iridescent Starlight Rose Petals)
    [248032] = 140992, -- Sparkling Starlight Rose (Sparkling Starlight Rose Petals)
    [252404] = 124106, -- Felwort (Felwort)
    [253069] = 13468, -- Blacker Lotus (Black Lotus)
    [269278] = 128304, -- Fel-Encrusted Herb (Yseralline Seed)
    [269887] = 128304, -- Fel-Encrusted Herb Cluster (Yseralline Seed)
    [272782] = 151565, -- Astral Glory (Astral Glory)
    [273052] = 151565, -- Fel-Encrusted Herb (Astral Glory)
    [273053] = 151565, -- Fel-Encrusted Herb Cluster (Astral Glory)
    -- [273537] = ?, -- Gravebloom
    [276234] = 152505, -- Riverbud (Riverbud)
    [276236] = 152506, -- Star Moss (Star Moss)
    [276237] = 152507, -- Akunda's Bite (Akunda's Bite)
    [276238] = 152508, -- Winter's Kiss (Winter's Kiss)
    [276239] = 152509, -- Siren's Sting (Siren's Pollen)
    [276240] = 152511, -- Sea Stalks (Sea Stalk)
    [276242] = 152510, -- Anchor Weed (Anchor Weed)
    [281079] = 152506, -- Star Moss (Star Moss)
    -- [281252] = ?, -- Hearthbloom
    [281867] = 152506, -- Star Moss (Star Moss)
    [281868] = 152506, -- Star Moss (Star Moss)
    [281869] = 152509, -- Siren's Sting (Siren's Pollen)
    [281870] = 152505, -- Riverbud (Riverbud)
    [281872] = 152511, -- Sea Stalks (Sea Stalk)
    -- [284608] = ?, -- Skeletal Sea Turtle
    -- [284627] = ?, -- Beached Sea Creature
    -- [288646] = ?, -- Prickly Pear
    -- [293800] = ?, -- Evermoss
    [294125] = 152510, -- Anchor Weed (Anchor Weed)
    [297060] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297061] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297062] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297064] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297065] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    [297066] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    [297606] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297607] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297608] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297609] = 163595, -- Flourishing Riverbud (Flourishing Riverbud)
    [297610] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297611] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297612] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297613] = 163588, -- Flourishing Sea Stalks (Flourishing Sea Stalk)
    [297614] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    [297615] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    [297616] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    [297617] = 163601, -- Overgrown Anchor Weed (Overgrown Anchor Weed)
    -- [310446] = ?, -- Smooth River Stone
    -- [311791] = ?, -- Skeletal Sea Turtle
    -- [312022] = ?, -- Skeletal Sea Turtle
    -- [323965] = ?, -- Musquash Root
    -- [325476] = ?, -- Direbloom
    -- [325478] = ?, -- Direbloom
    [326598] = 168487, -- Zin'anthid (Zin'anthid)
    [336433] = 168583, -- Widowbloom (Widowbloom)
    -- [336680] = ?, -- Adrima's Lily
    [336686] = 169701, -- Death Blossom (Death Blossom)
    [336688] = 170554, -- Vigil's Torch (Vigil's Torch)
    [336689] = 168589, -- Marrowroot (Marrowroot)
    [336690] = 168586, -- Rising Glory (Rising Glory)
    [336691] = 171315, -- Nightshade (Nightshade)
    -- [338520] = ?, -- Duskmire Mushroom
    -- [340424] = ?, -- Death Lotus
    -- [340676] = ?, -- Duskbrush
    -- [341808] = ?, -- Gersahl Shrub
    -- [349385] = ?, -- Scythe Bloom
    -- [350064] = ?, -- Battered Scrollcase
    -- [350065] = ?, -- Creased Scroll
    -- [350066] = ?, -- Dusty Scroll Bundle
    -- [350067] = ?, -- Tattered Scroll
    [351469] = 169701, -- Death Blossom (Death Blossom)
    [351470] = 169701, -- Death Blossom (Death Blossom)
    [351471] = 169701, -- Death Blossom (Death Blossom)
    -- [352180] = ?, -- Rubble Pile
    -- [355369] = ?, -- Blooming Twirlpetal
    -- [355425] = ?, -- Blooming Twirlpetal
    -- [355426] = ?, -- Blooming Twirlpetal
    -- [355450] = ?, -- Firstborne's Light
    -- [355807] = ?, -- Silverheart Vines
    -- [355877] = ?, -- Duskmire Rose
    -- [355959] = ?, -- Endmire Blossom
    [356536] = 181749, -- Windswept Rising Glory (Windswept Rising Glory)
    [356537] = 171315, -- Nightshade (Nightshade)
    [356538] = 181757, -- Lambent Vigil's Torch (Lambent Vigil's Torch)
    [356539] = 181762, -- Lush Widowbloom (Lush Widowbloom)
    [356540] = 181388, -- Engorged Marrowroot (Lush Marrowroot)
    -- [356596] = ?, -- Feather Cap
    -- [356597] = ?, -- Lacy Bell Morel
    -- [356607] = ?, -- Violet Frill
    -- [363992] = ?, -- Adrima's Lily
    -- [369295] = ?, -- Pile of Bones
    -- [369296] = ?, -- Shardhide Stash
    [370397] = 187699, -- Lush First Flower (First Flower)
    [370398] = 187699, -- First Flower (First Flower)
    -- [373461] = ?, -- Chromatic Rosid
    [375071] = 171315, -- Lush Nightshade (Nightshade)
    [375096] = 169701, -- Death Blossom (Death Blossom)
    [375097] = 171315, -- Nightshade (Nightshade)
    [375099] = 169701, -- Death Blossom (Death Blossom)
    [375100] = 169701, -- Death Blossom (Death Blossom)
    [375101] = 169701, -- Death Blossom (Death Blossom)
    -- [375241] = ?, -- Bubble Poppy
    -- [375242] = ?, -- Titan-Touched Bubble Poppy
    -- [375244] = ?, -- Frigid Bubble Poppy
    -- [375245] = ?, -- Windswept Bubble Poppy
    -- [375246] = ?, -- Decayed Bubble Poppy
    -- [376081] = ?, -- Trampled Bush
    -- [376082] = ?, -- Sourbloom
    -- [376189] = ?, -- Cirrus Flowers
    -- [376930] = ?, -- Azure Crystal
    -- [377002] = ?, -- Wildsprings Shrub
    -- [381071] = ?, -- Box of Rocks
    -- [381154] = ?, -- Writhebark
    -- [381196] = ?, -- Titan-Touched Writhebark
    -- [381198] = ?, -- Decayed Writhebark
    -- [381199] = ?, -- Windswept Writhebark
    -- [381200] = ?, -- Frigid Writhebark
    -- [381201] = ?, -- Frigid Saxifrage
    -- [381202] = ?, -- Windswept Saxifrage
    -- [381205] = ?, -- Titan-Touched Saxifrage
    -- [381207] = ?, -- Saxifrage
    -- [381209] = ?, -- Hochenblume
    -- [381210] = ?, -- Titan-Touched Hochenblume
    -- [381212] = ?, -- Decayed Hochenblume
    -- [381213] = ?, -- Windswept Hochenblume
    -- [381214] = ?, -- Frigid Hochenblume
    -- [381957] = ?, -- Lush Bubble Poppy
    -- [381958] = ?, -- Lush Writhebark
    -- [381959] = ?, -- Lush Saxifrage
    -- [381960] = ?, -- Lush Hochenblume

    -- Dragonflight
    [375241] = 191467, -- Bubble Poppy
    [375242] = 191467, -- Titan-Touched Bubble Poppy
    [375244] = 191467, -- Frigid Bubble Poppy
    [375245] = 191467, -- Windswept Bubble Poppy
    [375246] = 191467, -- Decayed Bubble Poppy
    [381957] = 191467, -- Lush Bubble Poppy
    [384294] = 191467, -- Self-Grown Bubble Poppy
    [381154] = 191470, -- Writhebark
    [381196] = 191470, -- Titan-Touched Writhebark
    [381198] = 191470, -- Decayed Writhebark
    [381199] = 191470, -- Windswept Writhebark
    [381200] = 191470, -- Frigid Writhebark
    [381958] = 191470, -- Lush Writhebark
    [384293] = 191470, -- Self-Grown Writhebark
    [381209] = 191460, -- Hochenblume
    [381210] = 191460, -- Hochenblume
    [381211] = 191460, -- Hochenblume
    [381212] = 191460, -- Hochenblume
    [381213] = 191460, -- Hochenblume
    [381214] = 191460, -- Hochenblume
    [381960] = 191460, -- Hochenblume
    [384291] = 191460, -- Self-Grown Hochenblume
    [381201] = 191464, -- Saxifrage
    [381202] = 191464, -- Saxifrage
    [381203] = 191464, -- Saxifrage
    [381204] = 191464, -- Saxifrage
    [381205] = 191464, -- Saxifrage
    [381207] = 191464, -- Saxifrage
    [381959] = 191464, -- Saxifrage
    [384295] = 191464, -- Self-Grown Saxifrage
}

TR.oreFilter = {
    -- [323] = ?, -- Arcanite Lode
    [324] = 10620, -- Small Thorium Vein (Thorium Ore)
    [1610] = 3340, -- Incendicite Mineral Vein (Incendicite Ore)
    [1731] = 2770, -- Copper Vein (Copper Ore)
    [1732] = 2771, -- Tin Vein (Tin Ore)
    [1733] = 2775, -- Silver Vein (Silver Ore)
    [1734] = 2776, -- Gold Vein (Gold Ore)
    [1735] = 2772, -- Iron Deposit (Iron Ore)
    [2040] = 3858, -- Mithril Deposit (Mithril Ore)
    [2047] = 7911, -- Truesilver Deposit (Truesilver Ore)
    [2653] = 4278, -- Lesser Bloodstone Deposit (Lesser Bloodstone Ore)
    -- [2714] = ?, -- Alterac Granite
    [19903] = 5833, -- Indurium Mineral Vein (Indurium Ore)
    -- [35253] = ?, -- Mining Node Point Check
    -- [73939] = ?, -- Ooze Covered Iron Deposit
    -- [73940] = ?, -- Ooze Covered Silver Vein
    -- [73941] = ?, -- Ooze Covered Gold Vein
    -- [103709] = ?, -- Tin Vein
    -- [103710] = ?, -- Iron Deposit
    -- [103712] = ?, -- Iron Deposit
    -- [103714] = ?, -- Copper Vein
    -- [123308] = ?, -- Ooze Covered Arcanite Lode
    [123309] = 7911, -- Ooze Covered Truesilver Deposit (Truesilver Ore)
    [123310] = 3858, -- Ooze Covered Mithril Deposit (Mithril Ore)
    [123848] = 10620, -- Ooze Covered Thorium Vein (Thorium Ore)
    [165658] = 11370, -- Dark Iron Deposit (Dark Iron Ore)
    [175404] = 10620, -- Rich Thorium Vein (Thorium Ore)
    -- [176644] = ?, -- Rich Thorium Vein
    [177388] = 10620, -- Ooze Covered Rich Thorium Vein (Thorium Ore)
    -- [178184] = ?, -- Sapphire of Aku'Mai
    [181068] = 22202, -- Small Obsidian Chunk (Small Obsidian Shard)
    [181069] = 22202, -- Large Obsidian Chunk (Small Obsidian Shard)
    -- [181108] = ?, -- Truesilver Deposit
    -- [181109] = ?, -- Gold Vein
    [181248] = 2770, -- Copper Vein (Copper Ore)
    [181249] = 2771, -- Tin Vein (Tin Ore)
    [181555] = 23424, -- Fel Iron Deposit (Fel Iron Ore)
    [181556] = 23425, -- Adamantite Deposit (Adamantite Ore)
    [181557] = 22573, -- Khorium Vein (Mote of Earth)
    -- [181558] = ?, -- Rich Adamantite Deposit
    -- [181568] = ?, -- Rich Adamantite Deposit
    [181569] = 23425, -- Rich Adamantite Deposit (Adamantite Ore)
    [181570] = 23425, -- Rich Adamantite Deposit (Adamantite Ore)
    -- [184689] = ?, -- Draenethyst Mine Crystal
    -- [185182] = ?, -- Nethervine Crystal
    [185557] = 34907, -- Ancient Gem Vein (Shattered Gem Fragments)
    [185877] = 32464, -- Nethercite Deposit (Nethercite Ore)
    -- [188432] = ?, -- Black Blood of Yogg-Saron
    -- [188699] = ?, -- Strange Ore
    [189978] = 36909, -- Cobalt Deposit (Cobalt Ore)
    [189979] = 36909, -- Rich Cobalt Deposit (Cobalt Ore)
    [189980] = 36912, -- Saronite Deposit (Saronite Ore)
    [189981] = 36912, -- Rich Saronite Deposit (Saronite Ore)
    -- [189982] = ?, -- Titanium Node (DEPRECATED)
    -- [190540] = ?, -- Chunk of Saronite
    [191133] = 36910, -- Titanium Vein (Titanium Ore)
    -- [191844] = ?, -- Enchanted Earth
    -- [191845] = ?, -- Enchanted Earth
    -- [193953] = ?, -- Saronite Deposit
    -- [193954] = ?, -- Rich Saronite Deposit
    [195036] = 36912, -- Pure Saronite Deposit (Saronite Ore)
    [202736] = 53038, -- Obsidium Deposit (Obsidium Ore)
    [202737] = 52183, -- Pyrite Deposit (Pyrite Ore)
    [202738] = 52185, -- Elementium Vein (Elementium Ore)
    [202739] = 53038, -- Rich Obsidium Deposit (Obsidium Ore)
    [202740] = 52183, -- Rich Pyrite Deposit (Pyrite Ore)
    [202741] = 52185, -- Rich Elementium Vein (Elementium Ore)
    -- [203228] = ?, -- Needles Iron Pyrite
    -- [203278] = ?, -- Obsidium Deposit
    -- [203298] = ?, -- Copper Vein
    -- [206839] = ?, -- The Light of Souls
    -- [208867] = ?, -- Shiny Stones
    [209311] = 72092, -- Ghost Iron Deposit (Ghost Iron Ore)
    [209312] = 72093, -- Kyparite Deposit (Kyparite)
    [209313] = 72094, -- Trillium Vein (Black Trillium Ore)
    [209328] = 72092, -- Rich Ghost Iron Deposit (Ghost Iron Ore)
    [209329] = 72093, -- Rich Kyparite Deposit (Kyparite)
    [209330] = 72103, -- Rich Trillium Vein (White Trillium Ore)
    -- [210958] = ?, -- Chrysoberyl Outcropping
    -- [210959] = ?, -- Chrysoberyl Outcropping
    -- [210960] = ?, -- Chrysoberyl Outcropping
    -- [215414] = ?, -- Kyparite Deposit
    -- [215416] = ?, -- Rich Kyparite Deposit
    -- [215417] = ?, -- Rich Trillium Vein
    -- [216179] = ?, -- Rich Energized Iron
    -- [216610] = ?, -- Krasari Iron
    [221538] = 72092, -- Ghost Iron Deposit (Ghost Iron Ore)
    [221539] = 72092, -- Rich Ghost Iron Deposit (Ghost Iron Ore)
    [221540] = 72094, -- Rich Trillium Vein (Black Trillium Ore)
    [221541] = 72094, -- Trillium Vein (Black Trillium Ore)
    [228493] = 109119, -- True Iron Deposit (True Iron Ore)
    [228510] = 109119, -- Rich True Iron Deposit (True Iron Ore)
    [228563] = 109118, -- Blackrock Deposit (Blackrock Ore)
    [228564] = 109118, -- Rich Blackrock Deposit (Blackrock Ore)
    [230428] = 109119, -- Smoldering True Iron Deposit (True Iron Ore)
    [232542] = 109118, -- Blackrock Deposit (Blackrock Ore)
    [232543] = 109118, -- Rich Blackrock Deposit (Blackrock Ore)
    [232544] = 109119, -- True Iron Deposit (True Iron Ore)
    [232545] = 109119, -- Rich True Iron Deposit (True Iron Ore)
    -- [236169] = ?, -- Harvestable Precious Crystal
    [237357] = 109119, -- Rich True Iron Deposit (True Iron Ore)
    [237358] = 109119, -- True Iron Deposit (True Iron Ore)
    [237359] = 115508, -- Blackrock Deposit (Draenic Stone)
    [237360] = 115508, -- Rich Blackrock Deposit (Draenic Stone)
    [241726] = 123918, -- Leystone Deposit (Leystone Ore)
    [241743] = 123919, -- Felslate Deposit (Felslate)
    [243312] = 115508, -- Rich Blackrock Deposit (Draenic Stone)
    [243313] = 115508, -- Blackrock Deposit (Draenic Stone)
    [243314] = 109119, -- True Iron Deposit (True Iron Ore)
    [243315] = 109119, -- Rich True Iron Deposit (True Iron Ore)
    [245324] = 123918, -- Rich Leystone Deposit (Leystone Ore)
    [245325] = 123919, -- Rich Felslate Deposit (Felslate)
    -- [247075] = ?, -- Secreted Wax Glob
    [247340] = 141221, -- Crude Leystone Seam (Crude Leystone Ore)
    [247352] = 141222, -- Hard Leystone Deposit (Hard Leystone Ore)
    [247366] = 141219, -- Rough Leystone Outcropping (Rough Leystone Ore)
    [247370] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247697] = 141246, -- Odious Felslate Outcropping (Odious Felslate)
    [247698] = 141252, -- Shattered Felslate Seam (Shattered Felslate)
    [247699] = 141248, -- Primordial Felslate Deposit (Primordial Felslate)
    [247904] = 141231, -- Bright Leystone Deposit (Bright Leystone Ore)
    [247905] = 141237, -- Warm Leystone Deposit (Warm Leystone Ore)
    [247906] = 141239, -- Fiery Leystone Deposit (Fiery Leystone Ore)
    [247907] = 141232, -- Massive Leystone Deposit (Massive Leystone Ore)
    [247908] = 141223, -- Glowing Leystone Deposit (Glowing Leystone Ore)
    [247909] = 141224, -- Smooth Leystone Deposit (Smooth Leystone Ore)
    [247910] = 141225, -- Fine Leystone Deposit (Fine Leystone Ore)
    [247911] = 141238, -- Charged Leystone Deposit (Charged Leystone Ore)
    [247912] = 141233, -- Exquisite Leystone Deposit (Exquisite Leystone Ore)
    [247913] = 141234, -- Magnificent Leystone Deposit (Magnificent Leystone Ore)
    [247914] = 141236, -- Superior Leystone Deposit (Superior Leystone Ore)
    [247915] = 141235, -- Striking Leystone Deposit (Striking Leystone Ore)
    [247916] = 141243, -- Ancient Leystone Deposit (Ancient Leystone Ore)
    [247917] = 141244, -- Dark Leystone Deposit (Dark Leystone Ore)
    [247918] = 141240, -- Stormy Leystone Deposit (Stormy Leystone Ore)
    [247923] = 141249, -- Darkened Felslate Deposit (Darkened Felslate)
    [247924] = 141250, -- Burning Felslate Deposit (Burning Felslate)
    [247925] = 141251, -- Heavy Felslate Deposit (Heavy Felslate)
    [247936] = 141220, -- Coarse Leystone Outcropping (Coarse Leystone Ore)
    [247937] = 141226, -- Luminous Leystone Outcropping (Luminous Leystone Ore)
    [247938] = 141229, -- Gleaming Leystone Outcropping (Gleaming Leystone Ore)
    [247939] = 141230, -- Radiant Leystone Outcropping (Radiant Leystone Ore)
    [247940] = 141227, -- Hardened Leystone Outcropping (Hardened Leystone Ore)
    [247941] = 141242, -- Dense Leystone Outcropping (Dense Leystone Ore)
    [247942] = 141245, -- Primal Leystone Outcropping (Primal Leystone Ore)
    [247943] = 141247, -- Malevolent Felslate Outcropping (Malevolent Felslate)
    [247956] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247957] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247958] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247959] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247960] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247961] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247962] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247963] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247964] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247965] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247966] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247967] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247968] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247969] = 124444, -- Brimstone Destroyer Core (Infernal Brimstone)
    [247987] = 141228, -- Brilliant Leystone Seam (Brilliant Leystone Ore)
    [247988] = 141218, -- Raw Leystone Seam (Raw Leystone Ore)
    [247989] = 141241, -- Wild Leystone Seam (Wild Leystone Ore)
    [251181] = 138273, -- Azure Ore (Azure Ore)
    [253280] = 123918, -- Leystone Seam (Leystone Ore)
    [255344] = 123919, -- Felslate Seam (Felslate)
    [268901] = 123919, -- Felslate Spike (Felslate)
    [272768] = 151564, -- Empyrium Deposit (Empyrium)
    [272778] = 151564, -- Rich Empyrium Deposit (Empyrium)
    [272780] = 151564, -- Empyrium Seam (Empyrium)
    [276616] = 152512, -- Monelite Deposit (Monelite Ore)
    [276617] = 152579, -- Storm Silver Deposit (Storm Silver Ore)
    [276618] = 152513, -- Platinum Deposit (Platinum Ore)
    [276619] = 152512, -- Monelite Seam (Monelite Ore)
    [276620] = 152579, -- Storm Silver Seam (Storm Silver Ore)
    [276621] = 152512, -- Rich Monelite Deposit (Monelite Ore)
    [276622] = 152579, -- Rich Storm Silver Deposit (Storm Silver Ore)
    [276623] = 152513, -- Rich Platinum Deposit (Platinum Ore)
    -- [278149] = ?, -- Iron Deposit
    [297466] = 163609, -- Luminous Monelite Deposit (Luminous Monelite)
    [297467] = 163625, -- Rough Monelite Deposit (Rough Monelite)
    [297468] = 163628, -- Hardened Monelite Deposit (Hardened Monelite)
    [297469] = 163623, -- Gleaming Storm Silver Deposit (Gleaming Storm Silver)
    [297470] = 163626, -- Coarse Storm Silver Deposit (Coarse Storm Silver)
    [297471] = 163629, -- Dense Storm Silver Deposit (Dense Storm Silver)
    [297472] = 163624, -- Burnished Platinum Deposit (Burnished Platinum)
    [297473] = 163627, -- Smooth Platinum Deposit (Smooth Platinum)
    [297474] = 163630, -- Ductile Platinum Deposit (Ductile Platinum)
    [297618] = 163609, -- Luminous Monelite Deposit (Luminous Monelite)
    [297619] = 163623, -- Gleaming Storm Silver Deposit (Gleaming Storm Silver)
    [297620] = 163624, -- Burnished Platinum Deposit (Burnished Platinum)
    [297621] = 163625, -- Rough Monelite Deposit (Rough Monelite)
    [297622] = 163626, -- Coarse Storm Silver Deposit (Coarse Storm Silver)
    [297623] = 163627, -- Smooth Platinum Deposit (Smooth Platinum)
    [297624] = 163628, -- Hardened Monelite Deposit (Hardened Monelite)
    [297625] = 163629, -- Dense Storm Silver Deposit (Dense Storm Silver)
    [297626] = 163630, -- Ductile Platinum Deposit (Ductile Platinum)
    [325873] = 168185, -- Rich Osmenite Deposit (Osmenite Ore)
    [325874] = 168185, -- Osmenite Seam (Osmenite Ore)
    [325875] = 168185, -- Osmenite Deposit (Osmenite Ore)
    [349898] = 171828, -- Laestrite Deposit (Laestrite Ore)
    [349899] = 171828, -- Rich Laestrite Deposit (Laestrite Ore)
    [349900] = 171833, -- Elethium Deposit (Elethium Ore)
    [349980] = 171829, -- Solenium Deposit (Solenium Ore)
    [349981] = 171830, -- Oxxein Deposit (Oxxein Ore)
    [349982] = 171831, -- Phaedrum Deposit (Phaedrum Ore)
    [349983] = 171832, -- Sinvyr Deposit (Sinvyr Ore)
    [350082] = 171833, -- Rich Elethium Deposit (Elethium Ore)
    [350084] = 171832, -- Rich Sinvyr Deposit (Sinvyr Ore)
    [350085] = 171830, -- Rich Oxxein Deposit (Oxxein Ore)
    [350086] = 171829, -- Rich Solenium Deposit (Solenium Ore)
    [350087] = 171831, -- Rich Phaedrum Deposit (Phaedrum Ore)
    [355507] = 171831, -- Rich Phaedrum Deposit (Phaedrum Ore)
    [355508] = 171831, -- Phaedrum Deposit (Phaedrum Ore)
    [356393] = 181450, -- Luminous Solenium Deposit (Luminous Solenium Ore)
    [356400] = 181718, -- Ligneous Phaedrum Deposit (Ligneous Phaedrum Ore)
    [356401] = 181719, -- Monolithic Oxxein Deposit (Monolithic Oxxein Ore)
    [356402] = 181720, -- Menacing Sinvyr Deposit (Menacing Sinvyr Ore)
    [370399] = 187700, -- Rich Progenium Deposit (Progenium Ore)
    [370400] = 187700, -- Progenium Deposit (Progenium Ore)
    -- [375234] = ?, -- Hardened Draconium Deposit
    -- [375235] = ?, -- Molten Draconium Deposit
    -- [375238] = ?, -- Titan-Touched Draconium Deposit
    -- [375239] = ?, -- Primal Draconium Deposit
    -- [379248] = ?, -- Draconium Deposit
    -- [379252] = ?, -- Draconium Deposit
    -- [379263] = ?, -- Rich Draconium Deposit
    -- [379267] = ?, -- Rich Draconium Deposit
    -- [381102] = ?, -- Tyrivite Deposit
    -- [381103] = ?, -- Tyrivite Deposit
    -- [381104] = ?, -- Rich Tyrivite Deposit
    -- [381105] = ?, -- Rich Tyrivite Deposit
    -- [381515] = ?, -- Hardened Tyrivite Deposit
    -- [381516] = ?, -- Molten Tyrivite Deposit
    -- [381517] = ?, -- Titan-Touched Tyrivite Deposit
    -- [381518] = ?, -- Primal Tyrivite Deposit


    -- Dragonflight
    [381102] = 190395, -- Severite
    [381103] = 190395, -- Severite
    [381104] = 190395, -- Severite
    [381105] = 190395, -- Severite
    [381515] = 190395, -- Severite
    [381516] = 190395, -- Severite
    [381517] = 190395, -- Severite
    [381518] = 190395, -- Severite
    [375234] = 188658, -- Draconium
    [375235] = 188658, -- Draconium
    [375238] = 188658, -- Draconium
    [375239] = 188658, -- Draconium
    [375240] = 188658, -- Draconium
    [379248] = 188658, -- Draconium
    [379252] = 188658, -- Draconium
    [379263] = 188658, -- Draconium
    [379267] = 188658, -- Draconium
}

TR.objectFilter = {}
TR.herbs = {}
TR.ores = {}

-- Combine filters for object filtering, but also track whether herb or ore
for objectID, itemID in pairs(TR.herbFilter) do
    TR.objectFilter[objectID] = itemID
    TR.herbs[itemID] = true
end

for objectID, itemID in pairs(TR.oreFilter) do
    TR.objectFilter[objectID] = itemID
    TR.ores[itemID] = true
end

-- Gas Cloud Objects
TR.gasClouds = {
    [132844] = 22578, -- Mote of Water
    [132843] = 22577, -- Mote of Shadow
    [132837] = 22572, -- Mote of Air
    [132841] = 22576, -- Mote of Mana
}
TR.motes = {}

for iconID, itemID in pairs(TR.gasClouds) do
    TR.motes[itemID] = true
end

-- Professions
-- Thanks to Ketho https://www.wowinterface.com/forums/showpost.php?p=339311&postcount=13
TR.ProfessionNames = {
    enUS = {
        [164] = "Blacksmithing",
        [165] = "Leatherworking",
        [171] = "Alchemy",
        [182] = "Herbalism",
        [185] = "Cooking",
        [186] = "Mining",
        [197] = "Tailoring",
        [202] = "Engineering",
        [333] = "Enchanting",
        [356] = "Fishing",
        [393] = "Skinning",
        [755] = "Jewelcrafting",
        [773] = "Inscription",
    },
    deDE = {
        [164] = "Schmiedekunst",
        [165] = "Lederverarbeitung",
        [171] = "Alchemie",
        [182] = "Kräuterkunde",
        [185] = "Kochkunst",
        [186] = "Bergbau",
        [197] = "Schneiderei",
        [202] = "Ingenieurskunst",
        [333] = "Verzauberkunst",
        [356] = "Angeln",
        [393] = "Kürschnerei",
        [755] = "Juwelierskunst",
        [773] = "Inschriftenkunde",
    },
    frFR = {
        [164] = "Forge",
        [165] = "Travail du cuir",
        [171] = "Alchimie",
        [182] = "Herboristerie",
        [185] = "Cuisine",
        [186] = "Minage",
        [197] = "Couture",
        [202] = "Ingénierie",
        [333] = "Enchantement",
        [356] = "Pêche",
        [393] = "Dépeçage",
        [755] = "Joaillerie",
        [773] = "Calligraphie",
    },
    esMX = {
        [164] = "Herrería",
        [165] = "Peletería",
        [171] = "Alquimia",
        [182] = "Herboristería",
        [185] = "Cocina",
        [186] = "Minería",
        [197] = "Sastrería",
        [202] = "Ingeniería",
        [333] = "Encantamiento",
        [356] = "Pesca",
        [393] = "Desuello",
        [755] = "Joyería",
        [773] = "Inscripción",
    },
    ptBR = {
        [164] = "Ferraria",
        [165] = "Couraria",
        [171] = "Alquimia",
        [182] = "Herborismo",
        [185] = "Culinária",
        [186] = "Mineração",
        [197] = "Alfaiataria",
        [202] = "Engenharia",
        [333] = "Encantamento",
        [356] = "Pesca",
        [393] = "Esfolamento",
        [755] = "Joalheria",
        [773] = "Escrivania",
    },
    ruRU = {
        [164] = "Кузнечное дело",
        [165] = "Кожевничество",
        [171] = "Алхимия",
        [182] = "Травничество",
        [185] = "Кулинария",
        [186] = "Горное дело",
        [197] = "Портняжное дело",
        [202] = "Инженерное дело",
        [333] = "Наложение чар",
        [356] = "Рыбная ловля",
        [393] = "Снятие шкур",
        [755] = "Ювелирное дело",
        [773] = "Начертание",
    },
    zhCN = {
        [164] = "锻造",
        [165] = "制皮",
        [171] = "炼金术",
        [182] = "草药学",
        [185] = "烹饪",
        [186] = "采矿",
        [197] = "裁缝",
        [202] = "工程学",
        [333] = "附魔",
        [356] = "钓鱼",
        [393] = "剥皮",
        [755] = "珠宝加工",
        [773] = "铭文",
    },
    zhTW = {
        [164] = "鍛造",
        [165] = "製皮",
        [171] = "鍊金術",
        [182] = "草藥學",
        [185] = "烹飪",
        [186] = "採礦",
        [197] = "裁縫",
        [202] = "工程學",
        [333] = "附魔",
        [356] = "釣魚",
        [393] = "剝皮",
        [755] = "珠寶設計",
        [773] = "銘文學",
    },
    koKR = {
        [164] = "대장기술",
        [165] = "가죽세공",
        [171] = "연금술",
        [182] = "약초채집",
        [185] = "요리",
        [186] = "채광",
        [197] = "재봉술",
        [202] = "기계공학",
        [333] = "마법부여",
        [356] = "낚시",
        [393] = "무두질",
        [755] = "보석세공",
        [773] = "주문각인",
    },
}
